<div class="row selected-images">
  <div class="col-auto pb" *ngFor="let image of selectedImages">
    <div class="selected-image-item" title="{{ 'dropzone-images.remove-image' | translate }}" (click)="openModal()">
      <img class="item-image" [src]="'/api/media/'+ image.path" [alt]="image.original_name">
      <div class="fa fa-trash text-danger" (click)="removeImage(image)"></div>
    </div>
  </div>
  <div class="col-auto pb" *ngIf="!isFull()">
    <div class="add-image-button" title="{{ 'dropzone-images.select-image' | translate }}" (click)="openModal()">
      <div class="icon fa fa-plus"></div>
    </div>
  </div>
</div>

<dropzone-images-modal
  [@toggle-modal]="modalState"
  [selectedImages]="selectedImages"
  [state]="modalState"
  [multi]="multi"
  [countLimit]="countLimit"
  [sizeLimit]="sizeLimit"
  [types]="types"
  (closed)="closeModal()"
  (selected)="selectImages($event)"
  (removed)="removeImage($event)">
</dropzone-images-modal>
